liboscache-java_2.4.1+ds1-7_all.deb


Advertisement

Description

liboscache-java - caching solution for java server pages (JSP)

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main i386
Package filename liboscache-java_2.4.1+ds1-7_all.deb
Package name liboscache-java
Package version 2.4.1+ds1
Package release 7
Package architecture all
Package type deb
Category devel::lang:java java
Homepage http://www.opensymphony.com/oscache/
License -
Maintainer Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Download size 125.47 KB
Installed size 163.00 KB
OSCache is a caching solution that includes a JSP tag library and set
of classes to perform fine grained dynamic caching of JSP content,
servlet responses or arbitrary objects. It provides both in memory and
persistent on disk caches, and can allow your site to have graceful
error tolerance. If an error occurs like your db goes down, you can
serve the cached content so people can still surf the site almost
without knowing.

Alternatives

Package Version Architecture Repository
liboscache-java_2.4.1+ds1-7_all.deb 2.4.1+ds1 all Debian Main
liboscache-java - - -

Requires

Name Value
libcommons-logging-java -
libgeronimo-jms-1.1-spec-java -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package liboscache-java_2.4.1+ds1-7_all.deb
Source Package oscache

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install liboscache-java deb package:
    # sudo apt-get install liboscache-java

Files

Path
/usr/share/doc/liboscache-java/changelog.Debian.gz
/usr/share/doc/liboscache-java/copyright
/usr/share/doc/liboscache-java/readme.txt
/usr/share/java/oscache-2.4.1.jar
/usr/share/java/oscache.jar
/usr/share/maven-repo/opensymphony/oscache/2.4.1/oscache-2.4.1.jar
/usr/share/maven-repo/opensymphony/oscache/2.4.1/oscache-2.4.1.pom
/usr/share/maven-repo/opensymphony/oscache/debian/oscache-debian.jar
/usr/share/maven-repo/opensymphony/oscache/debian/oscache-debian.pom

Changelog

2017-11-30 - Emmanuel Bourg <ebourg@apache.org>
oscache (2.4.1+ds1-7) unstable; urgency=medium
* Team upload.
* Depend on libgeronimo-jms-1.1-spec-java instead of glassfish-javaee
* Standards-Version updated to 4.1.1
2017-08-06 - tony mancill <tmancill@debian.org>
oscache (2.4.1+ds1-6) unstable; urgency=medium
* Team upload.
* Address FTBFS due to generification
Also see: https://bugs.openjdk.java.net/browse/JDK-6184376
* Use debhelper and compat level 10
* Bump Standards-Version to 4.0.0
* Update debian/watch to point to bitbucket upstream repo
2016-06-03 - Emmanuel Bourg <ebourg@apache.org>
oscache (2.4.1+ds1-5) unstable; urgency=medium
* Team upload.
* Transition to the Servlet API 3.1
* Build with maven-debian-helper instead of Ant
* Standards-Version updated to 3.9.8 (no changes)
* Moved the package to Git
2014-09-07 - Emmanuel Bourg <ebourg@apache.org>
oscache (2.4.1+ds1-4) unstable; urgency=medium
* Team upload.
* debian/control:
- Build depend on libservlet3.0-java
- Standards-Version updated to 3.9.5 (no changes)
- Use canonical URLs for the Vcs-* fields
* Switch to debhelper level 9
* debian/rules: Improved the clean target
2011-12-28 - Miguel Landaeta <miguel@miguel.cc>
oscache (2.4.1+ds1-3) unstable; urgency=low
* Team upload.
* Update list of needed jar files to build. (Closes: #653520).
* Bump Standards-Version to 3.9.2. No changes were required.
* Drop unneeded dependencies on default-jre-headless | java2-runtime-headless
for binary package.
* Set versioned dependency on libjgroups-java (>= 2.12.2.Final).
2010-06-22 - Torsten Werner <twerner@debian.org>
oscache (2.4.1+ds1-2) unstable; urgency=low
* Update Build-Depends: libservlet2.5-java.
* Patch pom.xml for libservlet2.5-java.
* Make sure the package builds with both hibernate 3.3 and 3.5.
2010-05-21 - Torsten Werner <twerner@debian.org>
oscache (2.4.1+ds1-1) unstable; urgency=low
[ Varun Hiremath ]
* Set java source to 1.4 in d/ant.properties instead of d/rules
[ Torsten Werner ]
* Remove Kalle from uploaders list.
* Create orig tarball from SVN tag.
* Add POM file.
2010-04-11 - Varun Hiremath <varun@debian.org>
oscache (2.4.1+dak1-2) unstable; urgency=low
* Update my email address
* Bump Standards-Version to 3.8.4
* Change Section to java
* Switch to default-jdk
* Switch to source format 3.0
* Set source version to 1.4 in debian/rules
2008-11-18 - Torsten Werner <twerner@debian.org>
oscache (2.4.1+dak1-1) unstable; urgency=low
* Move package to main.
* Bump up Standards-Version: 3.8.0 (no changes).
2007-11-11 - Torsten Werner <twerner@debian.org>
oscache (2.4.1-1) unstable; urgency=low
[ Varun Hiremath ]
* new upstream release
* Import package into pkg-java on svn.debian.org.
* Update Maintainer and Uploaders.
[ Torsten Werner ]
* Move package to contrib because it Build-Depends: libhibernate3-java.

See Also

Package Description
liboscpack-dev_1.1.0-2_i386.deb C++ library for packing and unpacking OSC packets - dev files
liboscpack1_1.1.0-2_i386.deb C++ library for packing and unpacking OSC packets
libosgearth-dev_2.10.0+dfsg-1+b1_i386.deb osgEarth development files
libosgearth5_2.10.0+dfsg-1+b1_i386.deb Dynamic 3D terrain rendering toolkit for OpenSceneGraph (shared lib)
libosgearthannotation5_2.10.0+dfsg-1+b1_i386.deb Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthAnnotation)
libosgearthfeatures5_2.10.0+dfsg-1+b1_i386.deb Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthFeatures)
libosgearthsplat5_2.10.0+dfsg-1+b1_i386.deb Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthSplat)
libosgearthsymbology5_2.10.0+dfsg-1+b1_i386.deb Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthSymbology)
libosgearthutil5_2.10.0+dfsg-1+b1_i386.deb Dynamic 3D terrain rendering toolkit for OpenSceneGraph (osgEarthUtil)
libosgi-annotation-java-doc_6.0.0-2_all.deb Javadoc for Java OSGi API - annotation module
libosgi-annotation-java_6.0.0-2_all.deb Java OSGi API - annotation module
libosgi-compendium-java-doc_6.0.0-1_all.deb Javadoc for Java OSGi API - Compendium module
libosgi-compendium-java_6.0.0-1_all.deb Java OSGi API - Compendium module
libosgi-core-java-doc_6.0.0-1_all.deb Javadoc for Java OSGi API - Core module
libosgi-core-java_6.0.0-1_all.deb Java OSGi API - Core module
Advertisement
Advertisement